package com.docus.server.controller;

import com.docus.server.api.scheduling.management.FileApi;
import com.docus.server.service.IFileUploadService;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.multipart.MultipartFile;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletResponse;

/**
 * 文件上传下载 API
 *
 * @author AutoGenerator
 * @since 2023-07-15
 */
@RestController
public class FileController implements FileApi {
    @Resource
    private IFileUploadService iFileUploadService;

    @Override
    public void downloadFile(String filePath, HttpServletResponse response) throws Exception {
        iFileUploadService.downloadFile(filePath, response);
    }

    @Override
    public void uploadFile(MultipartFile[] multipartFiles, String pathKey) throws Exception {
        iFileUploadService.uploadFile(multipartFiles, pathKey);
    }
}
